#django
from django.conf.urls.defaults import include
from django.conf.urls.defaults import patterns
from django.conf import settings
from django.contrib import admin
from django.views.generic.simple import direct_to_template
from django.conf.urls.defaults import *

#basic.blog
from basic.blog.feeds import BlogPostsFeed

feeds = {
    'blog': BlogPostsFeed,
    }

admin.autodiscover()

# Blog & Admin
urlpatterns = patterns(
    '',
    url(r'^2009/$',  direct_to_template, {"template": "home.html"}, name='home'),
    (r'^2009/feeds/(?P<url>.*)/$', 'django.contrib.syndication.views.feed', {'feed_dict': feeds}),
    (r'^2009/comments/', include('django.contrib.comments.urls')),
    (r'^2009/admin/(.*)', admin.site.root),
)

# Talks, etc.
urlpatterns += patterns('project.kiwipycon.talk.views',
    url(r'^2009/talks/$',  'list_talks', name='list_talks'),
    url(r'^2009/talks/talk/(?P<id>\d+)/$',  'talk', name='talk_detail'),
    url(r'^2009/submit-talk/$',  'submit_talk', name='kiwipycon_submit_talk'),
    url(r'^2009/edit-talk/(?P<id>\d+)/$',  'edit_talk', name='kiwipycon_edit_talk'),
    url(r'^2009/talks-cfp/list-talks/(?P<id>\d+)/$',  'list_talks',
        name='kiwipycon_list_talk'),
    )

# Registration
urlpatterns += patterns('project.kiwipycon.registration.views',
    url(r'^2009/invoice/$',  'invoice', name='kiwipycon_invoice'),
    url(r'^2009/pdf_invoice/$',  'pdf_invoice', name='kiwipycon_pdf_invoice'),
    url(r'^2009/registrations/$',  'registrations', name='kiwipycon_registrations'),
    url(r'^2009/submit-registration/$',  'submit_registration', name='kiwipycon_submit_registration'),
    url(r'^2009/edit-registration/(?P<id>\d+)/$',  'edit_registration',
        name='kiwipycon_edit_registration'),
    url(r'^2009/download_csv/', 'download_csv', name="download_csv"),
    )


# Authentication and Profile
urlpatterns += patterns('project.kiwipycon.user.views',
    url(r'^2009/login/$',  'login', name='kiwipycon_login'),
    url(r'^2009/logout/$',  'logout', name='kiwipycon_logout'),
    url(r'^2009/account/$',  'account', name='kiwipycon_account'),
    url(r'^2009/password/$', 'password', name='kiwipycon_password'), # change pwd
    url(r'^2009/username/$', 'username', name='kiwipycon_username'), # change uname
    url(r'^2009/edit-profile/$', 'edit_profile', name='kiwipycon_edit_profile'),
    )

# Proceedings
urlpatterns += patterns('project.kiwipycon.proceedings.views',
    url(r'^2009/proceedings/submit/$',  'submit', name='kiwipycon_submit_proceedings'),
    url(r'^2009/proceedings/getusers/$',  'getUsers', name='kiwipycon_getusers_proceedings'),
    url(r'^2009/proceedings/edit/$',  'edit', name='kiwipycon_edit_proceedings'),
    )

# About pages and all other static html pages
urlpatterns += patterns('',
    url(r'^2009/about/accommodation/$', 
        direct_to_template, {"template": "about/accommodation.html"},
        name='accommodation'),
    url(r'^2009/about/food/$',
        direct_to_template, {"template": "about/food.html"}, name='food'),
    url(r'^2009/about/venue/$',
        direct_to_template, {"template": "about/venue.html"}, name='venue'),
    url(r'^2009/about/reaching/$', 
        direct_to_template, {"template": "about/reaching.html"},
        name='reaching'),
    url(r'^2009/talks-cfp/$', 
        direct_to_template, {"template": "talk/talks-cfp.html"},
        name='talks-cfp'),
    url(r'^2009/talks-cfp/schedule/$', 
        direct_to_template, {"template": "talk/schedule.html"},
        name='schedule'),
    url(r'^2009/talks-cfp/tutorial/$', 
        direct_to_template, {"template": "talk/tutorial-schedule.html"},
        name='tutorial-schedule'),
    url(r'^2009/talks-cfp/sprint/$', 
        direct_to_template, {"template": "talk/sprint-schedule.html"},
        name='sprint-schedule'),
    url(r'^2009/talks-cfp/speakers/$', 
        direct_to_template, {"template": "talk/speakers.html"},
        name='speakers'),
    (r'^2009/accounts/', include('registration.urls')),
    )

# Password reset
urlpatterns += patterns('django.contrib.auth.views',
     url(r'^2009/password-reset/$', 'password_reset', name='kiwipycon_password_reset'),
     url(r'^2009/password-reset-done/$', 'password_reset_done'),
     url(r'^2009/password-reset-confirm/(?P<uidb36>[-\w]*)/(?P<token>[-\w]*)$', 'password_reset_confirm'),
     url(r'^2009/password-reset-complete/$', 'password_reset_complete'),
)

# Serve static files in DEBUG = True mode
if settings.DEBUG:
    urlpatterns += patterns('',
        (r'^2009/media/(?P<path>.*)$', 'django.views.static.serve',
         {'document_root': settings.MEDIA_ROOT}),
        (r'^2009/static/(?P<path>.*)$', 'django.views.static.serve',
         {'document_root': settings.STATIC_ROOT}),
    )
